﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Forms;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamlTester
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private string filename = ""; // "../../../text.xml";
        DataReaderWriter drw = new DataReaderWriter();
        public MainWindow()
        {
            InitializeComponent();
        }

         private void btnReadXML_Click(object sender, RoutedEventArgs e)
         {
             this.toolBarTray1.ToolBars.Clear();
             drw.ReadCodes(filename, this, toolBarTray1);
         }

        // Load a file and enable the test button if we have a valid path
         private void btnFilename_Click(object sender, RoutedEventArgs e)
         {
            // Configure open file dialog box
            Microsoft.Win32.OpenFileDialog dlg = new Microsoft.Win32.OpenFileDialog();
            //dlg.FileName = "Document"; // Default file name
            dlg.DefaultExt = ".xmp"; // Default file extension
            dlg.Filter = "XML documents (.xml)|*.xml"; // Filter files by extension

            // Show open file dialog box
            Nullable<bool> result = dlg.ShowDialog();

            // Process open file dialog box results
            if (result == true)
            {
                // Open the template
                this.filename = dlg.FileName;
                this.btnFilename.Content = this.filename;
                this.btnReadXML.IsEnabled = true;
            }
         }
     }
}
